using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Http;
using MarketData.MarketDataModel;
using MarketData.DataAccess;
using MarketDataServer.Authorization;

namespace MarketDataServer.Controllers
{
  public class WatchListController : ApiController
  {
    public IEnumerable<String> GetWatchList(String token,String watchList)
    {
      Console.WriteLine(String.Format("[{0:G}][WatchListController::GetWatchList]", DateTime.Now));
      if (!Authorizations.GetInstance().IsAuthorized(token)) return null;
      return WatchListDA.GetWatchList(watchList);
    }
  }
}
